// JavaScript Document

MIN = 33 ;  // largeur minimum en pixel
MAX = 100 ; // largeur maximum en pixel
REACTION = 1 ; // raction des icones par rapport  la souris. plus grand --> plus d'icones qui ragissent

A = ((MIN-MAX)/(MAX * REACTION)) ; // coef directeur de la droite d'agrandissement
IE = document.all ? 1 : 0 ;
img_tags = new Array();

function ouEstMaSouris(e)
{
	var dock = document.getElementById('dock') ; // div qui contient la barre de menu.

	var x = 0;
	if (IE)	x = e.clientX ; // coordonnes x de la souris sur IE 5.5
	else	x = e.pageX ;   // coordonnes x de la souris sur Mozilla ou Netscape 7
		
	x -= dock.offsetLeft ; // on modifie la coordonne pour quelle soit relatif au div et non  la fenetre.
	
	img_tags = dock.getElementsByTagName('img') ; // les images contenus dans le div
	
	for(i=0 ; i<img_tags.length ; i++) // pour chaque images
	{
		milieu = img_tags[i].offsetLeft + parseInt(img_tags[i].style.width)/2 ;
		
		delta = milieu - x ;

		if (delta < 0) delta *= -1 ;

		coef = A * delta + MAX ;

		if (coef < MIN) coef = MIN ;
		else if (coef > MAX) coef = MAX ;

		img_tags[i].style.width=coef;
		img_tags[i].style.height=coef;
	}
}
